enum EnumMutation {
  updateWebId = "updateWebId",
  updateAuth = "updateAuth",
  updateToken = "updateToken",
  updateGames = "updateGames",
  updateCurrency = "updateCurrency",
  updateGeography = "updateGeography",
  updateIsThemePropertyLoading = "updateIsThemePropertyLoading",
  updateIsGameUpdateLoading = "updateIsGameUpdateLoading",
  updateSelectedThemeName = "updateSelectedThemeName",
  updateOriginalThemeName = "updateOriginalThemeName",
  updatePrefixSelectedTheme = "updatePrefixSelectedTheme",
  updateDisplayLocalTime = "updateDisplayLocalTime",
  updateDisplayTimeZone = "updateDisplayTimeZone",
  updateIsSuspended = "updateIsSuspended",
  updateIsCashPlayer = "updateIsCashPlayer",
  updateIsStockPlayer = "updateIsStockPlayer",
  updateIsPasswordExpired = "updateIsPasswordExpired",
  updateIsLoginNameUpdated = "updateIsLoginNameUpdated",
  updateIsPaymentPasswordSet = "updateIsPaymentPasswordSet",
  updateTabInfos = "updateTabInfos",
  updateCompanyThemePropertiesFromApi = "updateCompanyThemePropertiesFromApi",
  updateUsername = "updateUsername",
  updateCustomerId = "updateCustomerId",
  updateOnlineId = "updateOnlineId",
  updateIsImageLess1MBEnabled = "updateIsImageLess1MBEnabled",
  updateGameProviders = "updateGameProviders",
  updateGameTabProviderList = "updateGameTabProviderList",
  updateSkipLogin = "updateSkipLogin",
  updateNotification = "updateNotification",
  updateAgentCooperationDialog = "updateAgentCooperationDialog",
  updateRegisterDialog = "updateRegisterDialog",
  updateLoginDialog = "updateLoginDialog",
  updateDepositDialog = "updateDepositDialog",
  updateSidebar = "updateSidebar",
  updateUm = "updateUm",
  updateLocale = "updateLocale",
  updateLanguage = "updateLanguage",
  updateImageVersion = "updateImageVersion",
  updateIsReferralEnabled = "updateIsReferralEnabled",
  updateIsPerushopEnabled = "updateIsPerushopEnabled",
  resetDefaultInformation = "resetDefaultInformation",
  updateIsV2ReferralEnabled = "updateIsV2ReferralEnabled",
  updateIsShowReferralPage = "updateIsShowReferralPage",
  updateVisitorId = "updateVisitorId",
  updateIsCockfightWhitelist = "updateIsCockfightWhitelist",
  updateRequestedOtpDate = "updateRequestedOtpDate",
  updateAllCustomerSettings = "updateAllCustomerSettings",
  updateMemberMessageInfo = "updateMemberMessageInfo",
  updateIsStatementLoading = "updateIsStatementLoading",
  updateIsLandingPage = "updateIsLandingPage",
  updateMemberMessages = "updateMemberMessages",
  updateMemberMessagePagination = "updateMemberMessagePagination",
  updateActiveTab = "updateActiveTab",
  updateGTMID = "updateGTMID",
  updateAppNavigationBackToRoute = "updateAppNavigationBackToRoute",
  updateSideBarDirection = "updateSideBarDirection",
  updateSelectedThemeMode = "updateSelectedThemeMode",
  updateIsSwitchComponentCallBefore = "updateIsSwitchComponentCallBefore",
}

export default EnumMutation;
